Bug 829899 - [ipa webui] IE - Attribute listing when adding permission or delegation is not displayed same as FF
[ipa webui] IE - Attribute listing when adding permission or delegation is no...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 15:00 EDT by Namita Soman
Modified: 2013-02-21 04:15 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:15:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
delegation - add, edit, permission-add (600.00 KB, application/octet-stream)
2012-06-07 15:08 EDT, Namita Soman
no flags Details
delegation add (300.00 KB, image/png)
2012-06-07 15:13 EDT, Namita Soman
no flags Details
delegation -add (third attemmpt). The first attempt with jar, has the right images for delegation-edit, and permission-add (122.77 KB, image/png)
2012-06-07 15:19 EDT, Namita Soman
no flags Details
Verified using ipa-server-3.0.0-22.el6.x86_64 (142.20 KB, image/png)
2013-01-22 08:59 EST, Varun Mylaraiah
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 03:22:21 EST

  None (edit)
Description Namita Soman 2012-06-07 15:00:08 EDT
Description of problem:
Add a delegation, and the attributes are listed 2 inches below each other and have to scroll way down the page to choose an attribute, and the Add buttons are down there too. 
For permission, a scroll bar is available on the Add dialog, to scroll through the 2 inch separated attributes. 

Can add delegation and permission successfully. 

then again when editing both, the attributes are listed 2 inches below each other.


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a delegation
2. Edit this delegation
3. Add a permission, and edit
  
Actual results:
The attributes are listed on a non-scrolalble Add dialog box for delegation, and can scroll down th page to get o all attributes
When editing, the attributes are listed with a big between the,
For permssions, the Add dialog has its onw scroll bar, btu attributes are listed far apart

Expected results:
To look same as Firefox, with no gap between attributes

Additional info:
Comment 2 Namita Soman 2012-06-07 15:08:57 EDT
Created attachment 590267 [details]
delegation - add, edit, permission-add
Comment 3 Namita Soman 2012-06-07 15:13:42 EDT
Created attachment 590274 [details]
delegation add
Comment 4 Namita Soman 2012-06-07 15:19:54 EDT
Created attachment 590275 [details]
delegation -add (third attemmpt). The first attempt with jar, has the right images for delegation-edit, and permission-add
Comment 5 Dmitri Pal 2012-06-08 13:16:51 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2822
Comment 6 Namita Soman 2012-06-11 14:09:37 EDT
Adding attributes for SelfService Permission is also displayed as in Delegation in IE
Comment 7 RHEL Product and Program Management 2012-07-10 02:21:29 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 19:28:37 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 Petr Vobornik 2012-07-17 10:09:17 EDT
Fixed upstream. Master: a14d243fcdd18bb7bd5409d1a8804bf06929824d
Comment 13 Varun Mylaraiah 2013-01-22 08:59:17 EST
Created attachment 685145 [details]
Verified using ipa-server-3.0.0-22.el6.x86_64
Comment 15 errata-xmlrpc 2013-02-21 04:15:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.